Skip to Content
veriom

Create finding comment

POST
/v1/workspaces/{workspace_id}/findings/{finding_id}/comments

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
finding_id*Finding Id
Formatuuid

Request Body

application/json
  1. body
body*Body
Length1 <= length <= 8000
parent_comment_id?|null

Response Body

Successful Response

application/json
  1. response
author_id*Author Id
Formatuuid
body*Body
created_at*Created At
Formatdate-time
finding_id*Finding Id
Formatuuid
id*Id
Formatuuid
mentions*array<string>
parent_comment_id*|null
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments' \  -H 'Content-Type: application/json' \  -d '{  "body": "string"}'
Example Response
{  "author_id": "78424c75-5c41-4b25-9735-3c9f7d05c59e",  "body": "string",  "created_at": "2019-08-24T14:15:22Z",  "finding_id": "feebf65a-2eaa-4fae-aab2-772450efdffe",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "mentions": [    "string"  ],  "parent_comment_id": "42e5891d-0323-4706-8826-2064102ce531"}